%?mingw_package_header

Name:           mingw-libgpg-error
Version:        1.22
Release:        %mkrel 1
Summary:        MinGW Windows GnuPGP error library

License:        LGPLv2+
Group:          Development/Other
URL:            ftp://ftp.gnupg.org/gcrypt/libgpg-error/
Source0:        ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-%{version}.tar.bz2
Source1:        ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-%{version}.tar.bz2.sig
Source2:        wk@g10code.com
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-gettext

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-gettext

BuildRequires:  gettext

# See comment in %%prep for details
BuildRequires:  libtool autoconf automake gettext-devel


%description
MinGW Windows GnuPGP error library.


%package -n mingw32-libgpg-error
Summary:        MinGW Windows libgpg-error compression library for the win32 target

%description -n mingw32-libgpg-error
MinGW Windows GnuPGP error library.

%package -n mingw32-libgpg-error-static
Summary:        Static library for mingw32-libgpg-error development
Requires:       mingw32-libgpg-error = %{version}-%{release}

%description -n mingw32-libgpg-error-static
Static library for mingw32-libgpg-error development.

%package -n mingw64-libgpg-error
Summary:        MinGW Windows libgpg-error compression library for the win64 target

%description -n mingw64-libgpg-error
MinGW Windows GnuPGP error library.

%package -n mingw64-libgpg-error-static
Summary:        Static library for mingw64-libgpg-error development
Requires:       mingw64-libgpg-error = %{version}-%{release}

%description -n mingw64-libgpg-error-static
Static library for mingw64-libgpg-error development.


%?mingw_debug_package


%prep
%setup -q -n libgpg-error-%{version}

# Upstream has applied a libtool hack in libgpg-error 1.12
# which automatically gives the libgpg-error library a
# different filename for the win64 target so that
# the libgpg-error DLL's for both the win32 and win64
# targets can be installed in the same folder.
#
# As installing both win32 and win64 libraries in the same
# folder is bad practice and breaks earlier behavior undo
# this libtool hack here by re-running libtoolize
autoreconf -i --force


%build
%mingw_configure --enable-shared --enable-static
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop info and man pages as they're already provided by the native package
rm -rf $RPM_BUILD_ROOT%{mingw32_infodir} $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_infodir} $RPM_BUILD_ROOT%{mingw64_mandir}

%mingw_find_lang libgpg-error


%files -n mingw32-libgpg-error -f mingw32-libgpg-error.lang
%{mingw32_bindir}/gpg-error-config
%{mingw32_bindir}/gpg-error.exe
%{mingw32_bindir}/libgpg-error-0.dll
%{mingw32_libdir}/libgpg-error.dll.a
%{mingw32_includedir}/gpg-error.h
%{mingw32_datadir}/aclocal/gpg-error.m4
%{mingw32_datadir}/common-lisp/source/gpg-error/*

%files -n mingw32-libgpg-error-static
%{mingw32_libdir}/libgpg-error.a

%files -n mingw64-libgpg-error -f mingw64-libgpg-error.lang
%{mingw64_bindir}/gpg-error-config
%{mingw64_bindir}/gpg-error.exe
%{mingw64_bindir}/libgpg-error-0.dll
%{mingw64_libdir}/libgpg-error.dll.a
%{mingw64_includedir}/gpg-error.h
%{mingw64_datadir}/aclocal/gpg-error.m4
%{mingw64_datadir}/common-lisp/source/gpg-error/*

%files -n mingw64-libgpg-error-static
%{mingw64_libdir}/libgpg-error.a




%changelog
* Fri May 27 2016 tv <tv> 1.22-1.mga6
+ Revision: 1018907
- new release that fixes build
- new release

* Thu Feb 04 2016 umeabot <umeabot> 1.11-6.mga6
+ Revision: 934999
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.11-5.mga5
+ Revision: 744719
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11-4.mga5
+ Revision: 682474
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.11-3.mga4
+ Revision: 536308
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 1.11-2.mga4
+ Revision: 484002
- imported package mingw-libgpg-error

